Retrieves the lists of vouchers for a given consumer.
Retrieves the lists of vouchers for a given consumer.
GET
/
connectors
/
consumers
/
{consumer_id}
/
vouchers
Retrieves the lists of vouchers for a given consumer.
curl --request GET \
--url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/vouchers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/vouchers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/vouchers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"offer_id": "94b36765-a06c-4baf-a33c-40e43686a96a",
"price": 123,
"value": 123,
"brand": {
"name": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"logo": {
"path": "<string>",
"content_type": "<string>",
"created_at": "2019-01-31T15:16:15.523309+00:00",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"links": {
"download": "<string>",
"preview": "<string>"
},
"name": "<unknown>",
"owner": "<string>"
}
},
"codes": [
{
"value": 123,
"activation_code": "<string>",
"code": "<string>",
"validity_date": "2023-12-25"
}
],
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"reservation_date": "2023-12-25",
"reservation_expired_date": "2023-12-25",
"validity_date": "2023-12-25"
}
],
"meta": {
"page": 123,
"per_page": 123,
"total": 123
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id you used to create the given consumer
Query Parameters
the page number
Required range:
x >= 1the number of elements per page
Required range:
1 <= x <= 100Sort by given attribute
Available options:
status, -status Filter by status
Available options:
RESERVED, CANCELLED, CONFIRMED, READY, REFUNDING, REFUNDED, REFUND_REJECTED Was this page helpful?
Previous
Retrieves the details of a voucher for a given consumer.Retrieves the details of a voucher for a given consumer.
Next
⌘I
Retrieves the lists of vouchers for a given consumer.
